datablock TSShapeConstructor(Robin3WDDTS)
{
  baseShape = "./Robin3W.dts";
  sequence0 = "./HazardBlink.dsq HazardBlink";
  sequence1 = "./LeftBlink.dsq  LeftBlink";
  sequence2 = "./RightBlink.dsq  RightBlink";
  sequence3 = "./RestBlink.dsq Rest";
};

package Robin3WDIndicators
{
function serverCmdShiftBrick(%client, %x, %y, %z)
	{
		if(isObject(%pl = %client.player) && isObject(%veh = %pl.getObjectMount()))
		{
			if(%veh.getDataBlock().getName() $= "Robin3Wvehicle" && %pl.getMountNode() == 0)
			{
				if(%x == -1)								//Shift brick towards
					servercmdsetR3WIndicator(%client, 0, 0);			//No Indicators
					
				else if(%x == 1)							//Shift brick away
					servercmdsetR3WIndicator(%client, 1, 0);			//Hazard Lights
					
				else if(%y == 1)							//Shift brick left
					servercmdsetR3WIndicator(%client, 3, 0);			//Left Indicator
					
				else if(%y == -1)							//Shift brick right
					servercmdsetR3WIndicator(%client, 2, 0);			//Right Indicator
			}
		}
		parent::serverCmdShiftBrick(%client, %x, %y, %z);
	}
	
function servercmdsetR3WIndicator(%client, %blinker, %skipcheck)		//Set a looping primary blinker
{
	//Before we do anything, make sure the client isn't trying to change the blinker too rapidly.
	if(!isObject(%pl = %client.player) || !isObject(%veh = %pl.getObjectMount())) return;
	
	if(!%skipcheck)
	{
		if(getSimTime() < %client.lastIndicatorTime + 250)
		return;	//Fewer than 250 milliseconds have passed since client sent a command. Ignore this one.
		
		if(%blinker != %veh.blinkerActive && %blinker != 0)	//Turning the blinker off doesn't count as a command
		{
			%client.lastIndicatorTime = getSimTime();
		}
	}
	//If the above check did not activate, we're good to continue.
	

	if(%veh.getDataBlock().getName() !$= "Robin3Wvehicle" || %pl.getMountNode() != 0 || %veh.blinkerDisabled) return;

	if(%blinker == %veh.blinkerActive || %blinker == 0)
	{
		%veh.playThread(2,Rest);
		%veh.blinkerActive = 0;
	}
	else switch(%blinker)
	{
		case 1:
			%veh.playThread(2, HazardBlink);
			%veh.blinkerActive = 1;
			
		case 2:
			%veh.playThread(2, RightBlink);
			%veh.blinkerActive = 2;
			
		case 3:
			%veh.playThread(2, LeftBlink);
			%veh.blinkerActive = 3;
	}
}
};

activatePackage(Robin3WDIndicators);